<?
	require_once("admin__check.php");

	// 获取或设置参数
	$job=trim($job);
	$id=floor(trim($id));

	// 已提交表单 (添加|修改|删除|改变状态)
	if($check=="ok"){	

		if($job==""){
			$flag="error";
			show_msg("错误：未知操作！","-1");
		}
		else{
			if($job=="add" or $job=="modify"){
				if(strlen($password)>0 and strlen($password)<6){
					$flag="error";
					show_msg("错误：密码的长度需大于6位！","-1");
				}
			}
			else{
				if($id<>""){
					$ids=array($id);
				}
				else{
					$ids=split(",",$ids);
				}
			}
		}

		if($flag<>"error"){

			switch($job){
				case "add":	
					// 添加内容
					$sql="insert into ".TBL_USER."(username,password,truename,email,im,phone,site,domain,remark,reg_dt,reg_ip,role) values('$username','".md5($password)."','$truename','$email','$im','$phone','$site','$domain','$remark','".date("Y-m-d H:i:s")."','".$_SERVER["REMOTE_ADDR"]."','user') ";
					mysql_query($sql);
					$id=mysql_insert_id();
					break;
				case "modify":
					// 修改内容
					$sql="update ".TBL_USER." set ".($password==""?"":"password='".md5($password)."',")." truename='$truename',email='$email',im='$im',phone='$phone',site='$site',domain='$domain',question='$question',answer='$answer',bank='$bank',remark='$remark' where id=".$id;	
					mysql_query($sql);
					break;
				case "delete":
					// 删除内容
					foreach($ids as $id){
						$sql="update ".TBL_USER." set status=-1 where id=".$id;
						mysql_query($sql);		
					}
					break;
				default:
					// 改变状态
					foreach($ids as $id){
						$sql="update ".TBL_USER." set $job=1-$job where id=".$id;
						mysql_query($sql);					
					}				
					break;
			}

			if(mysql_error()<>""){
				show_msg("数据库操作出错，请联系客服！");			
			}
			else{
				if($job=="add" or $job=="modify"){
					show_msg("数据更新成功！","-2");
				}
				else{
					show_msg("数据更新成功！","-1");
				}
			}

		}

	}
	

	// 未提交表单
	if($check<>"ok"){
		
		$content=array();
		if($job=="modify"){
			$content=mysql_fetch_array(mysql_query("select * from ".TBL_USER." where id=".$id),MYSQL_ASSOC);
		}

?>

<fieldset>用户管理 - 编辑</fieldset>

<div id="toolbar">
	<button class="b1" onclick="go('')">返回用户列表</button>
</div>

<form method="post" onsubmit="return validate(this);">
<table cellspacing='0' cellpadding='3' border='0'>
	<?
		$flag="";
		foreach($content as $key=>$value){
	?>
	<tr>
		<td width="120" align="right"><?=$key;?> -=> </td>
		<td><input type="text" name="<?=$key=="role"?"role0":$key;?>" style="width:100%;"	maxlength="100"	contentEditable="<?=($key=="id" or $key=="username" or $key=="role")?"false":"true" ;?>" value="<?=$key=="password"?"\" title='用户密码默认不显示，要修改密码请直接填写'":$value;?>" <?=$flag;?>></td>
	</tr>
	<?
			if($key=="remark"){
				$flag="disabled";
			}
		}
	?>
	<tr align="left">
		<td>
			<input type="hidden" name="check" value="ok">
		</td>
		<td>
			<button type="submit">保存</button>
			&nbsp;
			<button type="button" onclick="location.reload()">还原</button>
		</td>
	</tr>
</table>
</form>

<script language="javascript">
function validate(obj)
{
	flag=true;
	if(obj.password.value.length>0 && obj.password.value.length<6)
	{
		flag=false;
		show_tip("密码的长度需大于6位");
	}
	return flag;
}
</script>

<?
	}
?>